Salesly API
API Reference

Get a document

Returns the document's metadata, including its contact link and the opportunities it is attached to. Use `/documents/{id}/content` to obtain a download URL.

GET
/documents/{id}

Authorization

x-api-key<token>

Your tenant API key

In: header

Path Parameters

id
Required
integer
curl -X GET "https://rest.salesly.app/api/v1/developers/documents/0" \
  -H "x-api-key: <token>"

Document details

{
  "data": {
    "id": 12,
    "name": "Signed contract",
    "filename": "6f1c8e2a-6b1e-4c8a-9f2d-0b7a1c3d5e9f_contract.pdf",
    "extension": "PDF",
    "mime_type": "application/pdf",
    "size_bytes": 184320,
    "contact_id": 42,
    "category_id": 1,
    "opportunity_ids": [
      0
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}